[project]
name = "blog"
version = "1.2"
description = "Blog du Yax"
readme = "README.md"
authors = [
    { name = "Yax" }
]
requires-python = ">=3.12.9"
dependencies = [
    "mistune>=3.0.2",
    "pygments>=2.18.0",
    "python-dotenv>=1.0.0",
    "requests>=2.32.3",
]

[dependency-groups]
dev = [
    "black>=24.10.0",
    "mypy>=1.19.1",
    "types-pygments>=2.19.0.20251121",
    "types-requests>=2.32.4.20260107",
]
